---
id: cookie-policy
hide_table_of_contents: true
---

# AgileTs Open Source - Cookie Policy

**Last updated March 15, 2021**

Cookies are small pieces of text used to store information on web browsers. 
Cookies are used to store and receive identifiers and other information on computers, phones and other devices. 
Other technologies, including data we store on the web browser or device, identifiers associated with your device, 
and other software, are used for similar purposes. In this policy, we refer to all of these technologies as "cookies".

We use cookies to provide you with our open source websites and any content, related documentation, 
information and services (e.g. apps, tutorials, access to resources, etc.) made available to you on this website, 
or any other website that links to this Cookie Policy (collectively, the "Website"). 
This policy explains how we use cookies and the choices you have. Except as otherwise stated in this policy, 
the Data Policy will apply to our processing of the data we collect via cookies.

**For clarity, this Cookies Policy only applies to this Website and does not apply to any:**

- use of open source code, documentation or specifications made available on GitHub, 
  which are governed by the terms of the applicable open source license
- pull requests, issues and any other interactions or features related to participation in open source projects on GitHub, 
  which are governed by GitHub’s terms and conditions


<br/>


## Why Do we Use Cookies?

Cookies help us provide, protect and improve our Website, such as personalizing content, and providing a safer experience. 
While the cookies that we use may change from time to time as we improve and update our Website, we use them for the following purposes:

### Security

We use cookies to help us keep the Website safe and secure. For example, 
cookies are used to help us identify and impose additional security measures against particular types of software attacks against websites.

### Performance

We use cookies to provide you with the best experience possible. 
For example, cookies help us route traffic between servers and understand how quickly the Website loads for different people. 
Cookies also help us record the ratio and dimensions of your screen and windows and know whether you've enabled high-contrast mode, 
so that we can render our sites and apps correctly.

### Functional cookies

We use cookies to enhance the functionality of our Website, for example to allow integration with third party services, such as GitHub. 
GitHub is a third party platform where users can host and review code, manage projects, and build software alongside other developers. 
We use these cookies to make your online experiences richer and more personalized. 
We think that these cookies will improve your experience when using the Website but are non-essential to their use.

### Analytics

We use cookies served by Google Analytics to collect limited data directly from end-user browsers 
to enable us to better understand your use of the Website, 
including making use of the demographics and interests reports services provided by Google Analytics. 
Further information on how Google collects and uses this data is available on Google's website at: https://www.google.com/policies/privacy/partners/. 
You can opt-out of all Google supported analytics within the Services by visiting https://tools.google.com/dlpage/gaoptout.


<br/>


## How Can You Control our Website’s Use of Cookies?

You may be able to refuse or disable cookies by adjusting your web browser settings or visitinghttps://www.youronlinechoices.eu. 
Because each web browser is different, please consult the instructions provided by your web browser (typically in the "help" section). 
If you choose to refuse, disable, or delete these technologies, some of the functionality of the Website may no longer be available to you.


<br/>


## How often will you update this Cookie Policy?

We may update this Cookie Policy from time to time in order to reflect, for example, 
changes to the cookies and related technologies we use or for other operational, legal or regulatory reasons.

Each time you use our Website, the current version of the Cookie Policy will apply.
When you use our Website, you should check the date of this Cookie Policy (which appears at the top of this document) 
and review any changes since the last version.


<br/>


## Where can I get further information?

If you have any questions about our use of cookies or other technologies, please email us at agiletypescript@gmail.com


<br/>

---

<br/>


This cookie policy was created with help of [Facebook Open Source - Cookie Policy](https://opensource.facebook.com/legal/cookie-policy/).