---
id: privacy-notice
hide_table_of_contents: true
---

# AgileTs Open Source - Privacy Policy

**Last updated March 15, 2021**

:::info

**In Short:** We may use [Google Analytics](https://analytics.google.com/) to improve our documentation
and we don't collect any data regarding our users on our own.

:::

Thank you for choosing to be part of our community at AgileTs ("Company", "we", "us", "our").
We are committed to protecting your personal information and your right to privacy.
If you have any questions or concerns about this privacy notice,
or our practice with regards to your person information, please contact us at `agiletypescript@gmail.com`.

When you visit our website https://agile-ts.org (the "Website"),
we appreciate that you are trusting us with your personal information.
We take your privacy very seriously.
In this privacy notice, we seek to explain to you in the clearest way possible what information we collect on **this** website,
how we use it and what rights you have in relation to it.
We hope you take some time to read through it carefully, as it is important.
If there are any terms in this privacy notice that you do not agree with, please discontinue use of our Services immediately.

This privacy notice applies to all information collected through our Services (which, as described above, includes our Website),
as well as, any related services, sales, marketing or events.

_Please read this privacy notice carefully as it will help you understand what we do with the information that we collect._


<br/>


## Table of Contents

1. [WHAT INFORMATION DO WE COLLECT?](#1-what-information-do-we-collect)
2. [HOW DO WE USE YOUR INFORMATION?](#2-how-do-we-use-your-information)
3. [WILL YOUR INFORMATION BE SHARED WITH ANYONE?](#3-will-your-information-be-shared-with-anyone)
4. [DO WE USE THIRD PARTY ANALYTICS TOOLS?](#4-do-we-use-third-party-analytics-tools)
5. [DO WE USE COOKIES AND OTHER TRACKING TECHNOLOGIES?](#5-do-we-use-cookies-and-other-tracking-technologies)
6. [IS YOUR INFORMATION TRANSFERRED INTERNATIONALLY?](#6-is-your-information-transferred-internationally)
7. [HOW LONG DO WE KEEP YOUR INFORMATION?](#7-how-long-do-we-keep-your-information)
8. [HOW DO WE KEEP YOUR INFORMATION SAFE?](#8-how-do-we-keep-your-information-safe)
9. [DO WE COLLECT INFORMATION FROM MINORS?](#9-do-we-collect-information-from-minors)
10. [WHAT ARE YOUR PRIVACY RIGHTS?](#10-what-are-your-privacy-rights)
11. [CONTROLS FOR DO-NOT-TRACK FEATURES](#11-controls-for-do-not-track-features)
12. [DO CALIFORNIA RESIDENTS HAVE SPECIFIC PRIVACY RIGHTS?](#12-do-california-residents-have-specific-privacy-rights)
13. [DO WE MAKE UPDATES TO THIS NOTICE?](#13-do-we-make-updates-to-this-notice)
14. [HOW CAN YOU CONTACT US ABOUT THIS NOTICE?](#14-how-can-you-contact-us-about-this-notice)
15. [HOW CAN YOU REVIEW, UPDATE, OR DELETE THE DATA WE COLLECT FROM YOU?](#15-how-can-you-review-update-or-delete-the-data-we-collect-from-you)


<br/>


## 1. WHAT INFORMATION DO WE COLLECT?

### Information automatically collected

**In Short:** _Some information — such as your Internet Protocol (IP) address and/or browser and device characteristics — is collected automatically when you visit our Website._

We automatically collect certain information when you visit, use or navigate the Website.
This information does not reveal your specific identity (like your name or contact information) but may include device and usage information,
such as your IP address, browser and device characteristics, operating system, language preferences, referring URLs, device name, country, location,
information about how and when you use our Website and other technical information.
This information is primarily needed to maintain the security and operation of our Website, and for our internal analytics and reporting purposes.
Like many businesses, we also collect information through cookies and similar technologies.

**The information we collect includes:**

- **Log and Usage Data.** Log and usage data is service-related, diagnostic, usage and performance information our servers automatically collect
when you access or use our Website and which we record in log files.
Depending on how you interact with us, this log data may include your IP address,
device information, browser type and settings and information about your activity in the Website
(such as the date/time stamps associated with your usage, pages and files viewed,
searches and other actions you take such as which features you use), device event information
(such as system activity, error reports (sometimes called 'crash dumps') and hardware settings).

- **Device Data.**
We collect device data such as information about your computer, phone, tablet or other device you use to access the Website.
Depending on the device used, this device data may include information such as your IP address (or proxy server),
device and application identification numbers, location, browser type, hardware model Internet service provider and/or mobile carrier,
operating system and system configuration information.

- **Location Data.** We collect location data such as information about your device's location,
which can be either precise or imprecise. How much information we collect depends on the type and settings of the device you use to access the Website.
For example, we may use GPS and other technologies to collect geolocation data that tells us your current location (based on your IP address).
You can opt out of allowing us to collect this information either by refusing access to the information or by disabling your Location setting on your device.
Note however, if you choose to opt out, you may not be able to use certain aspects of the Services.


<br/>


## 2. HOW DO WE USE YOUR INFORMATION?

**In Short:** _We process your information for purposes based on legitimate business interests, the fulfillment of our contract with you, compliance with our legal obligations, and/or your consent._

We use personal information collected via our Website for a variety of business purposes described below.
We process your personal information for these purposes in reliance on our legitimate business interests,
in order to enter into or perform a contract with you, with your consent, and/or for compliance with our legal obligations.
We indicate the specific processing grounds we rely on next to each purpose listed below.

**We use the information we collect or receive:**

- **To protect our Services.** We may use your information as part of our efforts to keep our Website safe and secure (for example, for fraud monitoring and prevention).

- **To enforce our terms, conditions and policies for business purposes, to comply with legal and regulatory requirements or in connection with our contract.**

- **For other business purposes** We may use your information for other business purposes, such as data analysis,
identifying usage trends, determining the effectiveness of our promotional campaigns and to evaluate and improve our Website,
products, marketing and your experience.
We may use and store this information in aggregated and anonymized form so that it is not associated with individual end users and does not include personal information.
We will not use identifiable personal information without your consent.


<br/>


## 3. WILL YOUR INFORMATION BE SHARED WITH ANYONE?

**In Short:** _We only share information with your consent, to comply with laws, to provide you with services, to protect your rights, or to fulfill business obligations._

**We may process or share your data that we hold based on the following legal basis:**

- **Consent:** We may process your data if you have given us specific consent to use your personal information for a specific purpose.

- **Legitimate Interests:** We may process your data when it is reasonably necessary to achieve our legitimate business interests.

- **Performance of a Contract:** Where we have entered into a contract with you, we may process your personal information to fulfill the terms of our contract.

- **Legal Obligations:** We may disclose your information where we are legally required to do so in order to comply with applicable law, governmental requests,
a judicial proceeding, court order, or legal process, such as in response to a court order or a subpoena
(including in response to public authorities to meet national security or law enforcement requirements).

- **Vital Interests:** We may disclose your information where we believe it is necessary to investigate, prevent,
or take action regarding potential violations of our policies, suspected fraud, situations involving potential threats to the safety of any person and illegal activities,
or as evidence in litigation in which we are involved.

**More specifically, we may need to process your data or share your personal information in the following situations:**

- **Business Transfers.** We may share or transfer your information in connection with, or during negotiations of, any merger,
sale of company assets, financing, or acquisition of all or a portion of our business to another company.


<br/>


## 4. DO WE USE THIRD PARTY ANALYTICS TOOLS?

**In Short:** _We may also partner with selected third-party vendors such as [Google Analytics](https://analytics.google.com/)._

We may also partner with selected third-party vendors such as [Google Analytics](https://analytics.google.com/),
to allow tracking technologies and remarketing services on the Site through the use of first party cookies and third-party cookies,
to, among other things, analyze and track users' use of the Site, determine the popularity of certain content
and better understand online activity. By accessing the Site, you consent to the collection and use of your information by
these third-party vendors. You are encouraged to review their privacy policy and contact them directly for responses to your
questions. We do not transfer personal information to these third-party vendors. However, if you do not want any information
to be collected and used by tracking technologies, you can visit the third-party vendor or the [Network Advertising Initiative Opt-Out Tool](https://optout.networkadvertising.org/?c=1)
or [Digital Advertising Alliance Opt-Out Tool](https://optout.aboutads.info/?c=2&lang=EN)

You should be aware that getting a new computer, installing a new browser,
upgrading an existing browser, or erasing or otherwise altering your browser’s cookies files may also clear certain opt-out cookies, plug-ins, or settings.


<br/>


## 5. DO WE USE COOKIES AND OTHER TRACKING TECHNOLOGIES?

**In Short:** _We may use cookies and other tracking technologies to collect and store your information._

We may use cookies and similar tracking technologies (like web beacons and pixels) to access or store information.
Specific information about how we use such technologies and how you can refuse certain cookies is set out in our Cookie Notice.


<br/>


## 6. IS YOUR INFORMATION TRANSFERRED INTERNATIONALLY?

**In Short:** _We may transfer, store, and process your information in countries other than your own._

Our servers are located in Germany.
If you are accessing our Website from outside, please be aware that your information may be transferred to, stored,
and processed by us in our facilities and by those third parties with whom we may share your personal information
(see ["WILL YOUR INFORMATION BE SHARED WITH ANYONE?"](#3-will-your-information-be-shared-with-anyone) above), in and other countries.

If you are a resident in the European Economic Area, then these countries may not necessarily have data protection laws
or other similar laws as comprehensive as those in your country.
We will however take all necessary measures to protect your personal information in accordance with this privacy notice and applicable law.


<br/>


## 7. HOW LONG DO WE KEEP YOUR INFORMATION?

**In Short:** _We keep your information for as long as necessary to fulfill the purposes outlined in this privacy notice unless otherwise required by law._

We will only keep your personal information for as long as it is necessary for the purposes set out in this privacy notice,
unless a longer retention period is required or permitted by law (such as tax, accounting or other legal requirements).
No purpose in this notice will require us keeping your personal information for longer than 2 years.

When we have no ongoing legitimate business need to process your personal information, we will either delete or anonymize such information, or,
if this is not possible (for example, because your personal information has been stored in backup archives),
then we will securely store your personal information and isolate it from any further processing until deletion is possible.


<br/>


## 8. HOW DO WE KEEP YOUR INFORMATION SAFE?

**In Short:** _We aim to protect your personal information through a system of organizational and technical security measures._

We have implemented appropriate technical and organizational security measures designed to protect the security of any personal information we process.
However, despite our safeguards and efforts to secure your information,
no electronic transmission over the Internet or information storage technology can be guaranteed to be 100% secure,
so we cannot promise or guarantee that hackers, cybercriminals, or other unauthorized third parties will not be able to defeat our security,
and improperly collect, access, steal, or modify your information. Although we will do our best to protect your personal information,
transmission of personal information to and from our Website is at your own risk. You should only access the Website within a secure environment.


<br/>


## 9. DO WE COLLECT INFORMATION FROM MINORS?

**In Short:** _We do not knowingly collect data from or market to children under 18 years of age._

We do not knowingly solicit data from or market to children under 18 years of age.
By using the Website, you represent that you are at least 18 or that you are the parent or guardian of such a minor and consent to such minor dependent’s use of the Website.
If we learn that personal information from users less than 18 years of age has been collected,
we will deactivate the account and take reasonable measures to promptly delete such data from our records.
If you become aware of any data we may have collected from children under age 18, please contact us at agiletypescript@gmail.com.


<br/>


## 10. WHAT ARE YOUR PRIVACY RIGHTS?

**In Short:** _You may review, change, or terminate your account at any time._

If you are a resident in the European Economic Area and you believe we are unlawfully processing your personal information,
you also have the right to complain to your local data protection supervisory authority.
You can find their contact details here: http://ec.europa.eu/justice/data-protection/bodies/authorities/index_en.htm.

If you are a resident in Switzerland, the contact details for the data protection authorities are available here: https://www.edoeb.admin.ch/edoeb/en/home.html.

Cookies and similar technologies: Most Web browsers are set to accept cookies by default.
If you prefer, you can usually choose to set your browser to remove cookies and to reject cookies.
If you choose to remove cookies or reject cookies, this could affect certain features or services of our Website.
To opt-out of interest-based advertising by advertisers on our Website visit http://www.aboutads.info/choices/.


<br/>


## 11. CONTROLS FOR DO-NOT-TRACK FEATURES

Most web browsers and some mobile operating systems and mobile applications include a Do-Not-Track ("DNT") feature or setting
you can activate to signal your privacy preference not to have data about your online browsing activities monitored and collected.
At this stage no uniform technology standard for recognizing and implementing DNT signals has been finalized.
As such, we do not currently respond to DNT browser signals or any other mechanism that automatically communicates your choice not to be tracked online.
If a standard for online tracking is adopted that we must follow in the future, we will inform you about that practice in a revised version of this privacy notice.


<br/>


## 12. DO CALIFORNIA RESIDENTS HAVE SPECIFIC PRIVACY RIGHTS?

We do not share personal information with third parties for their own direct marketing purposes.


<br/>


## 13. DO WE MAKE UPDATES TO THIS NOTICE?

**In Short:** _Yes, we will update this notice as necessary to stay compliant with relevant laws._

We may update this privacy notice from time to time.
The updated version will be indicated by an updated "Revised" date and the updated version will be effective as soon as it is accessible.
If we make material changes to this privacy notice, we may notify you either by prominently posting a notice of such changes or by directly sending you a notification.
We encourage you to review this privacy notice frequently to be informed of how we are protecting your information.


<br/>


## 14. HOW CAN YOU CONTACT US ABOUT THIS NOTICE?

If you have questions or comments about this notice, you may email us at agiletypescript@gmail.com.


<br/>


## 15. HOW CAN YOU REVIEW, UPDATE, OR DELETE THE DATA WE COLLECT FROM YOU?

Based on the applicable laws of your country, you may have the right to request access to the personal information we collect from you,
change that information, or delete it in some circumstances.
To request to review, update, or delete your personal information, please send a request to agiletypescript@gmail.com.
We will respond to your request within 30 days.


<br/>

---

<br/>


This privacy policy was created with help of [Termly](https://termly.io/resources/templates/privacy-policy-template/)
and [Facebook Open Source - Privacy Policy](https://opensource.facebook.com/legal/privacy/).